Get a single voice's metadata
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/voices/{provider}/{voiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/voices/{provider}/{voiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/voices/{provider}/{voiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voiceId": "<string>",
"name": "<string>",
"provider": "<string>",
"previewUrl": "<string>",
"filters": {
"accent": "<string>",
"gender": "<string>",
"useCase": "<string>",
"language": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Voices
Get a voice
Returns metadata for a specific voice on a specific provider, including a previewUrl MP3.
GET
/
voices
/
{provider}
/
{voiceId}
Get a single voice's metadata
curl "https://eu-gcp-api.vg-stuff.com/v3/voices/elevenlabs/21m00Tcm4TlvDq8ikWAM" \
-H "Authorization: Bearer YOUR_API_KEY"
?sampleText=... to customize the previewUrl content.
This endpoint does not consume credits.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
